import random;
from datetime import *

def getTableauMelange(tab, nombreMelange) :
	for i in range(nombreMelange) :
		tab = random.sample(tab, len(tab));
	return tab;
	
def getHoraires(nombreHoraires, heureDebut, heureFin):
	tab = [];

	if nombreHoraires>0 :
		difference = heureFin - heureDebut;
		seconds = difference.seconds;
		trancheHoraires = seconds/nombreHoraires;
		trancheHorairesMinutes = trancheHoraires /60;
		trancheHorairesSecondes = trancheHoraires - trancheHorairesMinutes*60;
		trancheHorairesMinutesTimeDelta = timedelta(minutes=trancheHorairesMinutes, seconds=trancheHorairesSecondes);
		
		for i in range(nombreHoraires) :
			d = heureDebut + i*trancheHorairesMinutesTimeDelta;
			tab.append(d);
	
	return tab, trancheHorairesMinutesTimeDelta;
	
def testTableauMelange():
	tab = [];
	tab.append("mot1");
	tab.append("mot2");
	tab.append("mot3");
	tab.append("mot4");
	tab.append("mot5");
	tab.append("mot6");
	tab = getTableauMelange(tab, 5);
	print tab;
	
def testHoraires():
	nombreHoraires = 11;
	heureFin = 15;
	minuteFin = 30;
	cinqMinutes = timedelta(minutes=5);
	heureDebut = datetime.now() + cinqMinutes;
	heureDebut = heureDebut + cinqMinutes;
	heureFin = heureDebut.replace(hour=heureFin);
	heureFin = heureFin.replace(minute=minuteFin);
	tabHoraires = getHoraires(nombreHoraires, heureDebut, heureFin);
	
	print tabHoraires;
	
	i=0;
	for d in tabHoraires :
		if d.minute > 9 :
			print "%sH%s : groupe %s" %(d.hour, d.minute, i+1);
		else :
			print "%sH0%s : groupe %s" %(d.hour, d.minute, i+1);
		i = i+1;

if __name__ == "__main__" :
	#testTableauMelange();
	testHoraires();