from lectureInit import *;
from lectureXML import *;
from generateur import *;
from time import sleep;
import sys;

def getTabs(nomFichierInit) :
	nomFichierXML = getNomFichier(nomFichierInit);
	rootElement = readXML(nomFichierXML);
	tabEtudiants = getListeEtudiants(rootElement);
	tabEtudiantsMelange = getTableauMelange(tabEtudiants, 10);

	cinqMinutes = timedelta(minutes=5);
	heureDebut = datetime.now() + cinqMinutes;
	heureFin, minuteFin = getHeureMinute(nomFichierInit);
	heureFin = heureDebut.replace(hour=heureFin);
	heureFin = heureFin.replace(minute=minuteFin);
	tabHoraires, tempsEtudiant = getHoraires(len(tabEtudiantsMelange), heureDebut, heureFin);
	
	return tabEtudiantsMelange, tabHoraires, tempsEtudiant;
	
def affiche(hour, minute, groupe) :
	if minute > 9 and  hour > 9:
		print "%sH%s : %s" %(hour, minute, groupe);
	elif  minute < 10 and hour > 9:
		print "%sH0%s : %s" %(hour, minute, groupe);
	elif  minute > 9 and hour < 10:
		print "0%sH%s : %s" %(hour, minute, groupe);
	elif  minute < 10 and hour < 10:
		print "0%sH0%s : %s" %(hour, minute, groupe);
		
def afficheSuspension(tabMessage, time) :
	for message in tabMessage :
		print message, "\r",
		sys.stdout.flush();
		sleep(time);

		
def boucleAffichage(tabEtudiantsMelange, tabHoraires, tempsEtudiant) :
	tabMessage = [".", ". .", ". . .", "     "];
	for i in range(5) :
		afficheSuspension(tabMessage, 0.5);
	minutes = tempsEtudiant.seconds/60;
	seconds = tempsEtudiant.seconds - minutes*60;
	print "%s min et %s sec maximum par groupe\n" %(minutes, seconds);
	sleep(1);
	for i in range(len(tabEtudiantsMelange)) :
		groupe = tabEtudiantsMelange[i];
		horaire = tabHoraires[i];
		affiche(horaire.hour, horaire.minute, groupe);
		sleep(1);

def main() :
	tabEtudiantsMelange, tabHoraires, tempsEtudiant = getTabs("init.txt");
	boucleAffichage(tabEtudiantsMelange, tabHoraires, tempsEtudiant);

if __name__ == "__main__" :
	main();

