from xml.dom.minidom import parse;

def convertirEnInt(chaine):
    nombre = 0;
        
    try:
        nombre = int(chaine);
    except ValueError:
        nombre = -1;
        
    return nombre;
## Fin convertirEnInt

def readXML(nomFichier):
    doc = parse(nomFichier);
    rootElement = doc.documentElement;
    return rootElement;
## Fin readXML

def getListeEtudiants(rootElement) : 
	tabEtudiants = [];

	nodes = rootElement.getElementsByTagName("etudiant");
	
	for node in nodes :
		etudiant = node.firstChild.nodeValue;
		tabEtudiants.append(etudiant);
	
	return tabEtudiants;
## getListeEtudiants(rootElement)

if __name__ == "__main__" :
	rootElement = readXML("S2P_03.xml");
	tabEtudiants = getListeEtudiants(rootElement);
	print tabEtudiants;